@ableco/eslint-config
ESLint configuration from https://github.com/ableco/coding-standards
Last updated 14 days ago by ableco-npm .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install @ableco/eslint-config 
SYNC missed versions from official npm registry.

@ableco/eslint-config

This repository provides recommended ESLint configuration for use on Able JavaScript projects.

Installation

Using yarn:

yarn add @ableco/eslint-config --dev

Using npm:

npm install @ableco/eslint-config --save-dev

Usage

In your .eslintrc.js file, replace it with:

module.exports = {
  root: true,
  settings: {
    //... your own settings, for example "import/resolver" or "react".
  },
  extends: "@ableco"
};

Note: This ESLint configuration only replaces env, parser, extends, plugins and rules.

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/ableco/eslint-config.

License

The library is available as open source under the terms of the MIT License.

Current Tags

  • 0.3.0                                ...           latest (14 days ago)

8 Versions

  • 0.3.0                                ...           14 days ago
  • 0.2.1                                ...           3 months ago
  • 0.2.0                                ...           3 months ago
  • 0.1.5                                ...           7 months ago
  • 0.1.4                                ...           7 months ago
  • 0.1.3                                ...           7 months ago
  • 0.1.2                                ...           7 months ago
  • 0.1.1                                ...           8 months ago
Downloads
Today 0
This Week 0
This Month 27
Last Day 0
Last Week 0
Last Month 2
Dev Dependencies (2)

Copyright 2014 - 2016 © taobao.org |